Package uk.ac.starlink.topcat.activate

## Class ViewImageActivationType

- java.lang.Object
- - uk.ac.starlink.topcat.activate.GenericViewImageActivationType
  - - uk.ac.starlink.topcat.activate.ViewImageActivationType

- All Implemented Interfaces:
    `ActivationType`

      public class ViewImageActivationType
      extends GenericViewImageActivationType

  ActivationType for displaying an image in an internal viewer.
  Since:
    6 Jul 2018
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ViewImageActivationType()` |

  - ### Method Summary

    - ### Methods inherited from class uk.ac.starlink.topcat.activate.GenericViewImageActivationType

      `createConfigurator, getDescription, getName, getSuitability`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewImageActivationType

          public ViewImageActivationType()